Bug 182449 - Make all sync IPCs during ScriptDisallowedScope set DoNotProcessIncomingMessagesWhenWaitingForSyncReply
Summary: Make all sync IPCs during ScriptDisallowedScope set DoNotProcessIncomingMessa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on: 182458
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-02 14:16 PST by Ryosuke Niwa
Modified: 2018-04-06 16:53 PDT (History)
4 users (show)

See Also:


Attachments
WIP (2.64 KB, patch)
2018-02-02 14:27 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch (1.89 KB, patch)
2018-04-05 16:53 PDT, Ryosuke Niwa
cdumez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2018-02-02 14:16:02 PST
Make sure we don't process arbitrary sync IPCs in WebContent process while there is a ScriptDisallowedScope in stack.
Comment 1 Ryosuke Niwa 2018-02-02 14:27:39 PST
Created attachment 333001 [details]
WIP
Comment 2 Build Bot 2018-02-02 16:29:13 PST
Attachment 333001 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/IPC/Connection.h:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKit/WebProcess/Plugins/WebPluginInfoProvider.cpp:148:  Multi line control clauses should use braces.  [whitespace/braces] [4]
Total errors found: 2 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Radar WebKit Bug Importer 2018-04-05 15:40:56 PDT
<rdar://problem/39222541>
Comment 4 Ryosuke Niwa 2018-04-05 16:53:21 PDT
Created attachment 337311 [details]
Patch
Comment 5 Ryosuke Niwa 2018-04-06 16:53:32 PDT
Committed r230359: <https://trac.webkit.org/changeset/230359>